play.libs

## Class F.Either<A,B>

- java.lang.Object
- - play.libs.F.Either<A,B>

Direct Known Subclasses:
  F.E2

Enclosing class:
  F

    public static class F.Either<A,B>
    extends java.lang.Object

### Field Summary

Fields
`F.Option<A>` `_1`
`F.Option<B>` `_2`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static <A,B> F.Either<A,B>` `_1(A value)`
`static <A,B> F.Either<A,B>` `_2(B value)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _1

    public final F.Option<A> _1

#### _2

    public final F.Option<B> _2

### Method Detail

#### _1

    public static <A,B> F.Either<A,B> _1(A value)

#### _2

    public static <A,B> F.Either<A,B> _2(B value)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`